Draft Mirror/es

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Mirror and the translation is 11% complete.

Outdated translations are marked like this.
Other languages:
English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎Türkçe
Arrow-left.svg Previous: Draft Drawing.svg Drawing
Next: Stretch Draft Stretch.svg Arrow-right.svg

Draft Mirror.svg {{{Name/es}}}

Ubicación en el Menú
Draft → Mirror
Entornos de trabajo
Draft, Arch
Atajo de teclado por defecto
None
Introducido en versión
-
Ver también
Draft Scale


Descripción

Esta herramienta produce una copia duplicada de un objeto seleccionado, utilizando un objeto Part Mirror. La copia está vinculada de forma paramétrica al objeto original: si el objeto original cambia, la copia duplicada también cambia, pero se mantiene reflejada.

The Mirror tool can be used on 2D shapes created with the Draft Workbench, but can also be used on many types of 3D objects such as those created with the Part, PartDesign, or Arch Workbenches.

To create copies or clones, and manually place them use Draft Move, Draft Rotate, and Draft Clone.

Draft Mirror example.jpg

Draft Mirror example.jpg

Comment utiliser

  1. Sélectionnez les objets que vous souhaitez mettre en miroir
  2. Appuyez sur le bouton Draft Mirror.png Draft Mirror.
  3. Cliquez sur le premier point de la ligne miroir sur la vue 3D ou tapez une coordonnée
  4. Cliquez sur l'autre point de la ligne miroir de la vue 3D ou tapez une coordonnée

After creating the mirrored copy, its binding with the original object can be removed using the Tree Part.svg Part Create simple copy tool.

A mirrored copy of a Draft object can be turned into a Draft Wire, by using Draft Downgrade.svg Draft Downgrade then Draft Upgrade.svg Draft Upgrade.

Opciones

Propiedades

  • DATA Base: El punto base del plano espejo
  • DATA Normal: la dirección normal del plano reflejado

Programación

La herramienta de clonación se puede usar en macros y desde la consola de python usando la siguiente función:

The Mirror tool can be used in macros and from the Python console by using the following function:

mirrored_list = mirror(objlist, p1, p2)
  • Hace espejo (s) del objeto (s) dado a través de un plano definido por una línea de p1 a p2, y paralelo a la vista actual
  • El resultado es un objeto Part Mirror
  • Si el objeto original cambia, el objeto final también cambia pero se mantiene reflejado

Ejemplo:

import FeeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

p1 = FreeCAD.Vector(2000, -1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
mirrored1 = Draft.mirror(Polygon1, p1, p2)

Line2 = Draft.makeLine(-p1, -p2)
mirrored2 = Draft.mirror([Polygon1, Polygon2], -p1, -p2)
Arrow-left.svg Previous: Draft Drawing.svg Drawing
Next: Stretch Draft Stretch.svg Arrow-right.svg